import request from '@/utils/request'
export default {
    getSubstationData(id) {
        return request({
            url: '/device-boot/line/getSubstationData',
            method: 'post',
            data: [id]
        })
    },
    getLineDetailData(id) {
        return request({
            url: '/device-boot/line/getLineDetailData?id=' + id,
            method: 'post'
            //data: data,
        })
    },
    getLineOverLimitData(id) {
        return request({
            url: '/device-boot/line/getLineOverLimitData?id=' + id,
            method: 'post'
            //data: data,
        })
    },
    getComFlagInfoData(data) {
        return request({
            url: '/device-boot/communicate/getComFlagInfoData',
            method: 'post',
            data: data
        })
    },
    getRunInfoData(data) {
        return request({
            url: '/device-boot/communicate/getRunInfoData',
            method: 'post',
            data: data
        })
    },
    getTerminalTreeForFive(data) {
        return request({
            url: '/device-boot/terminalTree/getTerminalTreeForFive',
            method: 'post',
            data: data
        })
    },
    getQualityAssessData(data) {
        return request({
            url: '/harmonic-boot/asses/getQualityAssessData',
            method: 'post',
            data: data
        })
    },
    getSteadyData(data) {
        return request({
            url: '/harmonic-boot/pollution/getSteadyData',
            method: 'post',
            data: data
        })
    },
    getHarmInHarmData(data) {
        return request({
            url: '/harmonic-boot/inHarm/getHarmInHarmData',
            method: 'post',
            data: data
        })
    },
    getHistoryResult(data) {
        return request({
            url: '/harmonic-boot/harmonic/getHistoryResult',
            method: 'post',
            data: data
        })
    },
    //区域的
    getHistoryTableData(data) {
        return request({
            url: '/harmonic-boot/normLimit/getHistoryData',
            method: 'post',
            data: data
        })
    },
    //监测点的

    getHistorylineData(data) {
        return request({
            url: '/harmonic-boot/normLimit/getHistoryTableData',
            method: 'post',
            data: data
        })
    },
    getHistoryLineData(data) {
        return request({
            url: '/harmonic-boot/harmonic/getHistoryLineData',
            method: 'post',
            data: data
        })
    },
    exportModel(data) {
        return request({
            url: '/harmonic-boot/exportmodel/exportModel',
            method: 'post',
            data: data,
            responseType: 'blob'
        })
    },
    trace(data) {
        return request({
            url: '/harmonic-boot/harmonicCurrent/trace',
            method: 'post',
            params: data
        })
    }
}
